import processing.serial.*;
import ddf.minim.*;

Serial serial;
Minim minim;
AudioPlayer song1;
AudioPlayer song2;
AudioPlayer song3;
AudioPlayer song4;
AudioPlayer song5;
AudioPlayer song6;
int r;

void setup()
{
  size(200, 150);
  frameRate(30);
  
  serial = new Serial(this, "COM1", 9600);
  
  minim = new Minim(this);
  song1 = minim.loadFile("song1.mp3");
  song2 = minim.loadFile("song2.mp3");
  song3 = minim.loadFile("song3.mp3");
  song4 = minim.loadFile("song4.mp3");
  song5 = minim.loadFile("song5.mp3");
  song6 = minim.loadFile("song6.mp3");
  
  background(255, 255, 255);
}

void draw()
{
  if (serial.available() >= 1)
  {
    r = serial.read();
    
    if (r == 1)
    {
      song1.play();
      song2.pause();
      song3.pause();
      song4.pause();
      song5.pause();
      song6.pause();
      
      background(255, 255, 255);
      fill(0, 0, 255);
      textSize(28);
      textAlign(CENTER);
      text(r, 100, 75);
    }
    else if (r == 2)
    {
      song1.pause();
      song2.play();
      song3.pause();
      song4.pause();
      song5.pause();
      song6.pause();
      
      background(255, 255, 255);
      fill(0, 0, 255);
      textSize(28);
      textAlign(CENTER);
      text(r, 100, 75);
    }
    else if (r == 3)
    {
      song1.pause();
      song2.pause();
      song3.play();
      song4.pause();
      song5.pause();
      song6.pause();
      
      background(255, 255, 255);
      fill(0, 0, 255);
      textSize(28);
      textAlign(CENTER);
      text(r, 100, 75);
    }
    else if (r == 4)
    {
      song1.pause();
      song2.pause();
      song3.pause();
      song4.play();
      song5.pause();
      song6.pause();
      
      background(255, 255, 255);
      fill(0, 0, 255);
      textSize(28);
      textAlign(CENTER);
      text(r, 100, 75);
    }
    else if (r == 5)
    {
      song1.pause();
      song2.pause();
      song3.pause();
      song4.pause();
      song5.play();
      song6.pause();
      
      background(255, 255, 255);
      fill(0, 0, 255);
      textSize(28);
      textAlign(CENTER);
      text(r, 100, 75);
    }
    else if (r == 6)
    {
      song1.pause();
      song2.pause();
      song3.pause();
      song4.pause();
      song5.pause();
      song6.play();
      
      background(255, 255, 255);
      fill(0, 0, 255);
      textSize(28);
      textAlign(CENTER);
      text(r, 100, 75);
    }
  }
}

void stop()
{
  song1.close();
  song2.close();
  song3.close();
  song4.close();
  song5.close();
  song6.close();
  minim.stop();
  super.stop();
}
